Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.dom.html2
Interface HTMLFrameElement

All Superinterfaces:
  Element, HTMLElement, Node

All Known Implementing Classes:
  JRexHTMLFrameElementImpl

public interface HTMLFrameElement
extends HTMLElement

Create a frame. See the FRAME element definition in HTML 4.01.

See also the Document Object Model (DOM) Level 2 HTML Specification.

Field Summary

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Method Summary
`Document` | `getContentDocument()` The document this frame contains, if there is any and it is available, or `null` otherwise.
`String` | `getFrameBorder()` Request frame borders.
`String` | `getLongDesc()` URI [IETF RFC 2396] designating a long description of this image or frame.
`String` | `getMarginHeight()` Frame margin height, in pixels.
`String` | `getMarginWidth()` Frame margin width, in pixels.
`String` | `getName()` The frame name (object of the `target` attribute).
`boolean` | `getNoResize()` When true, forbid user from resizing frame.
`String` | `getScrolling()` Specify whether or not the frame should have scrollbars.
`String` | `getSrc()` A URI [IETF RFC 2396] designating the initial frame contents.
`void` | `setFrameBorder(String frameBorder)` Request frame borders.
`void` | `setLongDesc(String longDesc)` URI [IETF RFC 2396] designating a long description of this image or frame.
`void` | `setMarginHeight(String marginHeight)` Frame margin height, in pixels.
`void` | `setMarginWidth(String marginWidth)` Frame margin width, in pixels.
`void` | `setName(String name)` The frame name (object of the `target` attribute).
`void` | `setNoResize(boolean noResize)` When true, forbid user from resizing frame.
`void` | `setScrolling(String scrolling)` Specify whether or not the frame should have scrollbars.
`void` | `setSrc(String src)` A URI [IETF RFC 2396] designating the initial frame contents.

Methods inherited from interface org.w3c.dom.html2.HTMLElement
`getClassName, getDir, getId, getLang, getTitle, setClassName, setDir, setId, setLang, setTitle`

Methods inherited from interface org.w3c.dom.Element
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getElementsByTagName, getElementsByTagNameNS, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS`

Methods inherited from interface org.w3c.dom.Node
`appendChild, cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, hasAttributes, hasChildNodes, insertBefore, isSupported, normalize, removeChild, replaceChild, setNodeValue, setPrefix`

Method Detail

### getFrameBorder

    public String getFrameBorder()

  Request frame borders. See the frameborder attribute definition in HTML 4.01.

### setFrameBorder

    public void setFrameBorder(String frameBorder)

  Request frame borders. See the frameborder attribute definition in HTML 4.01.

### getLongDesc

    public String getLongDesc()

  URI [IETF RFC 2396] designating a long description of this image or frame. See the longdesc attribute definition in HTML 4.01.

### setLongDesc

    public void setLongDesc(String longDesc)

  URI [IETF RFC 2396] designating a long description of this image or frame. See the longdesc attribute definition in HTML 4.01.

### getMarginHeight

    public String getMarginHeight()

  Frame margin height, in pixels. See the marginheight attribute definition in HTML 4.01.

### setMarginHeight

    public void setMarginHeight(String marginHeight)

  Frame margin height, in pixels. See the marginheight attribute definition in HTML 4.01.

### getMarginWidth

    public String getMarginWidth()

  Frame margin width, in pixels. See the marginwidth attribute definition in HTML 4.01.

### setMarginWidth

    public void setMarginWidth(String marginWidth)

  Frame margin width, in pixels. See the marginwidth attribute definition in HTML 4.01.

### getName

    public String getName()

  The frame name (object of the `target` attribute). See the name attribute definition in HTML 4.01.

### setName

    public void setName(String name)

  The frame name (object of the `target` attribute). See the name attribute definition in HTML 4.01.

### getNoResize

    public boolean getNoResize()

  When true, forbid user from resizing frame. See the noresize attribute definition in HTML 4.01.

### setNoResize

    public void setNoResize(boolean noResize)

  When true, forbid user from resizing frame. See the noresize attribute definition in HTML 4.01.

### getScrolling

    public String getScrolling()

  Specify whether or not the frame should have scrollbars. See the scrolling attribute definition in HTML 4.01.

### setScrolling

    public void setScrolling(String scrolling)

  Specify whether or not the frame should have scrollbars. See the scrolling attribute definition in HTML 4.01.

### getSrc

    public String getSrc()

  A URI [IETF RFC 2396] designating the initial frame contents. See the src attribute definition in HTML 4.01.

### setSrc

    public void setSrc(String src)

  A URI [IETF RFC 2396] designating the initial frame contents. See the src attribute definition in HTML 4.01.

### getContentDocument

    public Document getContentDocument()

  The document this frame contains, if there is any and it is available, or `null` otherwise.

  Since:
    DOM Level 2

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 C.N.Medappa. All Rights Reserved.